# Uses of Class
org.apache.lucene.facet.taxonomy.TaxonomyReader

Packages that use TaxonomyReader
Package
Description
org.apache.lucene.facet
Faceted search.
org.apache.lucene.facet.taxonomy
Taxonomy of Categories.
org.apache.lucene.facet.taxonomy.directory
Taxonomy index implementation using on top of a Directory.

- ## Uses of TaxonomyReader in org.apache.lucene.facet

  Fields in org.apache.lucene.facet declared as TaxonomyReader
  Modifier and Type
  Field
  Description
  `protected final TaxonomyReader`
  DrillSideways.`taxoReader`
  `TaxonomyReader` passed to constructor.
  Constructors in org.apache.lucene.facet with parameters of type TaxonomyReader
  Modifier
  Constructor
  Description
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, TaxonomyReader taxoReader)`
  Create a new `DrillSideways` instance.
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, TaxonomyReader taxoReader, SortedSetDocValuesReaderState state)`
  Create a new `DrillSideways` instance, where some dimensions were indexed with `SortedSetDocValuesFacetField` and others were indexed with `FacetField`.
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, TaxonomyReader taxoReader, SortedSetDocValuesReaderState state, ExecutorService executor)`
  Create a new `DrillSideways` instance, where some dimensions were indexed with `SortedSetDocValuesFacetField` and others were indexed with `FacetField`.

- ## Uses of TaxonomyReader in org.apache.lucene.facet.taxonomy

  Methods in org.apache.lucene.facet.taxonomy with type parameters of type TaxonomyReader
  Modifier and Type
  Method
  Description
  `static <T extends TaxonomyReader>
  T`
  TaxonomyReader.`openIfChanged(T oldTaxoReader)`
  If the taxonomy has changed since the provided reader was opened, open and return a new `TaxonomyReader`; else, return `null`.
  Methods in org.apache.lucene.facet.taxonomy that return TaxonomyReader
  Modifier and Type
  Method
  Description
  `protected abstract TaxonomyReader`
  TaxonomyReader.`doOpenIfChanged()`
  Implements the actual opening of a new `TaxonomyReader` instance if the taxonomy has changed.
  Methods in org.apache.lucene.facet.taxonomy with parameters of type TaxonomyReader
  Modifier and Type
  Method
  Description
  `static void`
  PrintTaxonomyStats.`printStats(TaxonomyReader r, PrintStream out, boolean printTree)`
  Recursively prints stats for all ordinals.
  Constructors in org.apache.lucene.facet.taxonomy with parameters of type TaxonomyReader
  Modifier
  Constructor
  Description
  ``
  `FastTaxonomyFacetCounts(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)`
  Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals.
  ``
  `FastTaxonomyFacetCounts(String indexFieldName, IndexReader reader, TaxonomyReader taxoReader, FacetsConfig config)`
  Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals, and counting all non-deleted documents in the index.
  ``
  `FastTaxonomyFacetCounts(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)`
  Create `FastTaxonomyFacetCounts`, which also counts all facet labels.
  ``
  `TaxonomyFacetFloatAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetFloatAssociations` against the specified index field.
  ``
  `TaxonomyFacetFloatAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)`
  Create `TaxonomyFacetFloatAssociations` against the specified index field.
  ``
  `TaxonomyFacetFloatAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetFloatAssociations` against the default index field.
  ``
  `TaxonomyFacetFloatAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)`
  Create `TaxonomyFacetFloatAssociations` against the default index field.
  ``
  `TaxonomyFacetIntAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetIntAssociations` against the specified index field.
  ``
  `TaxonomyFacetIntAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetIntAssociations` against the default index field.
  ``
  `TaxonomyFacetLabels(TaxonomyReader taxoReader, String indexFieldName)`
  Sole constructor.

- ## Uses of TaxonomyReader in org.apache.lucene.facet.taxonomy.directory

  Subclasses of TaxonomyReader in org.apache.lucene.facet.taxonomy.directory
  Modifier and Type
  Class
  Description
  `class`
  `DirectoryTaxonomyReader`
  A `TaxonomyReader` which retrieves stored taxonomy information from a `Directory`.